import axios from "@/utils/axiosCrossDomain";

const baseUrl = "/http-server-base/publish/quota-v1";
const api = `/bizapi1${baseUrl}`;


/**
 * 服务区销售排行 客流量排行
 */
export function serviceareaSalesum(params) {
  return axios.get(`${api}/serviceareaSalesum`, { params });
}

/**
 * 中间的餐饮超市数据统计
 */
export function serviceareaCyCssum(params) {
  return axios.get(`${api}/serviceareaCyCssum`, { params });
}

/**
 * 中间金额统计
 */
export function serviceareaSaleMonth(params) {
  return axios.get(`${api}/serviceareaSaleMonth`, { params });
}

/**
 * 类别销售占比
 */
export function serviceareaSaleType(params) {
  return axios.get(`${api}/serviceareaSaleType`, { params });
}

/**
 * 服务区详情
 */
export function serviceareaBaseinfo(params) {
  return axios.get(`${api}/serviceareaBaseinfo`, { params });
}

/**
 * 服务区视频
 */
export function serviceareaVideo(params) {
  return axios.get(`${api}/serviceareaVideo`, { params });
}

//油品销售数据排行
export function oilSaleRanking(params) {
  return axios.get(`${api}/oilSaleRanking`, { params });
}

//服务区客货流量排行
export function serviceareaVansum(params) {
  return axios.get(`${api}/serviceareaVansum`, { params });
}

//入服务区车流量占比
export function serviceareaFlow(params) {
  return axios.get(`${api}/serviceareaFlow`, { params });
}